/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

/* Contenedor del Carousel: el box-shadow agrega un marco y una sombra */
.html-slider{
    position: relative;
    display: none;
    width: 100%;
    height: 100%;
    margin: auto;
    overflow: hidden;
    cursor: grab;
    *box-shadow: 0 0 0 10px #fff, 0 15px 50px;
    *border: 3px solid blue;
}

.html-slider.active{
    cursor: grabbing;
}

.html-slider .slider{
    display: flex;
    width: 100%;
    height: 100%;

}


.html-slider .pointer{
    cursor: pointer;
}


.html-slider .slider .slider-item{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    *border: 2px solid red;
}

.html-slider .slider-item img{
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    *height: auto;
    object-fit: cover;
    *border: 2px solid green;

}

.html-slider .slider-item .slide-title{
    position: absolute;
    top: 35%;
    right: 10%;
    user-select: none;
  }
  
  .html-slider .slider-item .slide-text{
    position: absolute;
    text-align: justify;
    text-justify: inter-word;
    top: 50%;
    right: 10%;
    max-width: 70%;
    user-select: none;
  }

/* Los botones Prev y Next se pueden desactivar con display: none */

.html-slider .slider-btn{
    *display: none;
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    background: white;
    opacity: 0.5;
    top: 50%;
    transform: translateY(-50%);
    font-size: 1em;
    font-weight: bold;
    font-family: monospace;
    text-align: center;
    color: black;
    border-radius: 50%;
    box-shadow : black 0.1em 0.1em 0.2em;
    cursor: pointer;
}

.html-slider .slider-btn:hover{
    opacity: 1;

}

.html-slider .left{
    left: 0.3em;

}

.html-slider .right{
    right: 0.3em;

}

/* Los puntos indicadores se pueden desactivar con display: none */

.html-slider .indicadores{
    *display: none;
    width: 100%;
    padding: 0.1em;
    position: absolute;
    bottom: 0;
    left: 0;
    text-align: center;
}


.html-slider .indicador{
    width: 0.7em;
    height: 0.7em;
    display: inline-block;
    background: rgba(255, 255, 255, 0.4);
    border-radius: 50%;
    box-shadow : black 0.1em 0.1em 0.2em;
    margin: 0 0.3em;
    cursor: pointer;
}

.html-slider .indic-selec{
    background: rgba(255, 255, 255, 0.7);
}


@media (max-width: 1300px) {
    .html-slider .slider-item img{
        *object-fit:scale-down;
        *border: 3px solid green;
    }
}

@media (max-width: 700px) {
    .html-slider .slider-item .slide-title{
        top: 15%;
        left: 10%;
      }
      
      .html-slider .slider-item .slide-text{
        top: 40%;
        right: 10%;
      }


}

@media (max-width: 1200px) {
    .html-slider .slider-item img{
        height: 100%;
        object-fit: cover;
        *border: 3px solid red;
    }
}





















